curl -X POST https://api.pavewaygroup.com/v1/esim/orders \
-H "Authorization: Bearer sk_test_..." \
-H "Content-Type: application/json" \
-d '{
"package_id": "pkg_world_5gb",
"quantity": 1
}'
{
"order_id": "<string>",
"amount": 123,
"currency": "<string>"
}Financial Services API
Purchase eSIM
Creates an order to purchase an eSIM package.
POST
/
v1
/
esim
/
orders
curl -X POST https://api.pavewaygroup.com/v1/esim/orders \
-H "Authorization: Bearer sk_test_..." \
-H "Content-Type: application/json" \
-d '{
"package_id": "pkg_world_5gb",
"quantity": 1
}'
{
"order_id": "<string>",
"amount": 123,
"currency": "<string>"
}Authentication
Include your Secret Key in theAuthorization header as a Bearer token.
Authorization: Bearer sk_test_...
Request Body
string
required
The unique identifier of the eSIM package (from the inventory endpoint).
integer
default:"1"
Number of eSIMs to purchase (Max: 5).
Response
Returns the created order details.string
Unique identifier for the eSIM order.
number
The total amount to be paid for this order.
string
The currency code for the payment.
curl -X POST https://api.pavewaygroup.com/v1/esim/orders \
-H "Authorization: Bearer sk_test_..." \
-H "Content-Type: application/json" \
-d '{
"package_id": "pkg_world_5gb",
"quantity": 1
}'

